%define upstream_name  Class-Base
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Useful base class for deriving other modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements a simple base class from which other modules
can be derived, thereby inheriting a number of useful methods such as
new(), init(), params(), clone(), error() and debug().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/*/*
%{perl_vendorlib}/Class


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1023871
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 946721
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 740934
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.60.0-3.mga5
+ Revision: 732929
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 683887
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 668747
- update to 0.06

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 510001
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 364275
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 254658
- update to 0.05

* Wed Feb 22 2012 kharec <kharec> 0.40.0-1.mga2
+ Revision: 212129
- update to 0.04

* Tue Jan 18 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 22099
- cleaning spec file
- imported package perl-Class-Base

